%define real_name HTML-Tagset
%define real_version 3.10
%define perl_version %(rpm -q perl --queryformat '%%{version}' 2>/dev/null)

Summary:	HTML Tagset for perl
Name:		perl-html-tagset
Version:	%{real_version}
Release:	2tr
Source:		http://search.cpan.org/CPAN/authors/id/P/PE/PETDANCE/%{real_name}-%{real_version}.tar.gz
#Patch1:		perl-html-tagset-3.04-req.patch
License:	Perl
Group:		Trustix Official
Requires:	perl >= %{perl_version}
Provides:	perl(HTML::Tagset)
BuildRequires: perl-devel >= 5.8.0
Buildroot:	%{_tmppath}/%{name}-root

%define siteperl /usr/lib/perl5/site_perl/%{perl_version}

%description
This module contains data tables useful in dealing with HTML.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep -q
%setup -q -n %{real_name}-%{real_version}
#%patch1 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=site PREFIX=%{_prefix}
make OPTIMIZE="$RPM_OPT_FLAGS" PREFIX=%{_prefix}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

find $RPM_BUILD_ROOT -name \*.pod -o -name .packlist | xargs rm

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc Changes README
%dir %{siteperl}/HTML
%{siteperl}/HTML/Tagset.pm
%{_mandir}/man3/*

%changelog
* Mon Feb 26 2007 Nived Gopalan <nived at trustix dot org>
- Rebuilt

* Wed Jun 21 2006 Nived Gopalan <nived at trustix dot org> 3.10-1tr
- New Upstream

* Mon Jun 06 2005 Ajith Thampi <ajith at comodo dot com> 3.04-5tr
- Rebuilt on perl-5.8.7
			
* Fri Mar  18 2005 Hasher Jamaludeen <hasher at comodo dot com> 3.04-3tr
- Rebuilt

* Fri Mar  11 2005 Bipin S <bipin at comodo dot com> 3.04-2tr
- Removed unwanted exit from spec

* Mon Oct  4 2004 Nageswara Sastry <nageswara at comodo dot com>
- ReBuild for tsl-2.2 with perl-5.8.5

* Thu Feb 12 2004 Gerald Dachs <gda at trustix dot org> 3.03-3gd
- fixed permission on directory

* Mon Oct 13 2003 Goetz Bock <bg at tawie dot org> 3.03-2bg
- rebuild, small specfile cleanup

* Tue Sep  2 2003 Goetz Bock <bock at trustix dot org> 3.03-1bg
- build for Trustix 2.0 (aka Cloud) - Contrib
